> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atom14.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List all files for the current user.

Returns:
    List of file records



## OpenAPI

````yaml https://searchanything.onrender.com/openapi.json get /api/files
openapi: 3.1.0
info:
  title: SearchAnything API
  description: Search across all your documents, images, and audio
  version: 1.0.0
servers: []
security: []
paths:
  /api/files:
    get:
      tags:
        - Files
      summary: List Files
      description: |-
        List all files for the current user.

        Returns:
            List of file records
      operationId: list_files_api_files_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - HTTPBearer: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````